#!/bin/bash

. testlib.sh

initprimary 15432 /var/lib/postgresql/17/main fulldbbackup
psql -p 15432 -c "delete from nightmare;"

psql -p 15432 -c "INSERT INTO nightmare (id, stext) VALUES (1, '#1');"
pg_basebackup -c fast -D incr1 -p 15432 --incremental fulldbbackup/backup_manifest

psql -p 15432 -c "INSERT INTO nightmare (id, stext) VALUES (2, '#2');"
pg_basebackup -c fast -D incr2 -p 15432 --incremental incr1/backup_manifest

psql -p 15432 -c "INSERT INTO nightmare (id, stext) VALUES (3, '#3');"
psql -p 15432 -f vrfy.sql | tee /tmp/before
psql -p 15432 -c "select pg_create_restore_point('restorepoint1');"
pg_basebackup -c fast -D incr3 -p 15432 --incremental incr2/backup_manifest
psql -p 15432 -c "delete from nightmare;"

pitr 15432 /var/lib/postgresql/17/main "fulldbbackup incr1 incr2 incr3" restorepoint1
checkrestoreworked 15432

