#!/bin/bash

. testlib.sh

initprimary 15432 /var/lib/postgresql/17/main fulldbbackup

psql -p 15432 -c "begin; select count(*) from (select * from nightmare for update); savepoint s1; delete from nightmare where id > 100; savepoint s2; delete from nightmare; select pg_sleep(4); rollback to s2 ; commit;" &
sleep 1;
pg_basebackup -c fast -D incr1 -p 15432 --incremental fulldbbackup/backup_manifest
echo "got incr backup, waiting for session to end"
wait
psql -p 15432 -c "select pg_create_restore_point('point1');"
psql -p 15432 -f vrfy.sql | tee /tmp/before
psql -p 15432 -c "truncate nightmare;"

pitr 15432 /var/lib/postgresql/17/main "fulldbbackup incr1" point1
checkrestoreworked 15432

#TODO better checks?
