#!/bin/bash

. testlib.sh

initprimary 15432 /var/lib/postgresql/17/main fulldbbackup

# should not be committed
psql -p 15432 -c "begin; delete from nightmare; prepare transaction 't1';"
psql -p 15432 -c "select pg_create_restore_point('restorepoint1');"
pg_basebackup -c fast -D incr1 -p 15432 --incremental fulldbbackup/backup_manifest
psql -p 15432 -c "commit prepared 't1';"

pitr 15432 /var/lib/postgresql/17/main "fulldbbackup incr1" restorepoint1
psql -p 15432 -c "select * from pg_prepared_xacts;"
psql -p 15432 -c "rollback prepared 't1';"
checkrestoreworked 15432

