#!/bin/bash

. testlib.sh

initprimary 15432 /var/lib/postgresql/17/main fulldbbackup

psql -p 15432 -c "begin; truncate nightmare; rollback;"
psql -p 15432 -c "select pg_create_restore_point('restorepoint1');"
pg_basebackup -c fast -D incr1 -p 15432 --incremental fulldbbackup/backup_manifest
psql -p 15432 -c "delete from nightmare where id > 100;"

pitr 15432 /var/lib/postgresql/17/main "fulldbbackup incr1" restorepoint1
checkrestoreworked 15432

